# Requirements

## Hardware Requirements
* GPU: Tesla V100-SXM2-32GB (32 GB memory)
* CPU: Intel(R) Xeon(R) Platinum 8260 CPU @ 2.40GHz 
* Memory: 376 GB
* HD: 1.7 TB

## Software Dependency
* OS: Ubuntu 18.04 LTS
* Anaconda 3
* CUDA 10.0, CUDNN 7.6
* Python 3.7, Pytorch 1.2.0, torchvision=0.4 and more...
* gcc 7.4.0, g++ 7.4.0
  

# Installation
```Shell
sudo apt-get install libturbojpeg0

# install libGL.so.1
sudo apt update
sudo apt install libgl1-mesa-glx

# install gcc&g++ 7.4.0
sudo apt-get update
sudo apt-get install gcc-7
sudo apt-get install g++-7

sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-7 100
sudo update-alternatives --config gcc

sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-7 100
sudo update-alternatives --config g++
```

## A quick way to install all dependency packages
* **Copy the directory `envSuperRPT` to `/path/to/anaconda3/envs/` and activate the environment.**
```Shell
cp -r envSuperRPT /path/to/anaconda3/envs/ 
conda activate envSuperRPT
```

## A normal way
```Shell
conda env create -f environment.yml
pip install -r requirements.txt
```

## Compile some C/C++ libraries
```Shell
cd RPTMask-submit/siamreppoints
python setup.py build_ext --inplace
cd ../..
```

# Run RPTMask
```Shell
vot evaluate --workspace $(pwd) RPTMask
```

# Contact
If you meet any problem about the environment settings and the code logic, please email fuzhihong@buaa.edu.cn. ^_^

