echo "Suppose that you have installed the anaconda3 at $HOME"
echo "If you have any question about the environment, please email fuzhihong@buaa.edu.cn"

if [ ! -d "$HOME/anaconda3" ]; then
  echo "Please install anaconda3 at $HOME!!!"
  echo "We will copy our runtime environment to $HOME/anaconda3/envs/"
  echo "You can also manually copy our runtime environment siamreppoints to /path/to/anaconda3/envs."
  exit 1
fi

sudo apt-get install libturbojpeg0

# install libGL.so.1
sudo apt update
sudo apt install libgl1-mesa-glx

# install gcc&g++ 7.4.0
sudo apt-get update
sudo apt-get install gcc-7
sudo apt-get install g++-7

sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-7 100
sudo update-alternatives --config gcc

sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-7 100
sudo update-alternatives --config g++

# copy our runtime environment to $HOME/anaconda3/envs/"
cp -r siamreppoints $HOME/anaconda3/envs/

source $HOME/anaconda3/etc/profile.d/conda.sh
conda activate siamreppoints

cd RPTMask-submit/siamreppoints
python setup.py build_ext --inplace
cd ../..






